Descarregar para Linux

A última versão do Calibre é5.16.0. Novidades.

Por favor, não utilize pacotes de distribuição do Calibre externos, pois muitas vezes estão desatualizados e possuem erros. Em vez disso, utilize os instaladores binários descritos abaixo

Executável de instalação

O Calibre tem um instalador binário que inclui versões próprias de todas as suas dependências. Corre em máquinas Intel de 32-bit e 64-bit. Para instalar ou atualizar basta copiar e colar o seguinte comando num terminal e carregar em Enter:

Enquanto espera pela conclusão da transferência, por favor, considere contribuir e apoiar o desenvolvimento do Calibre

Nota

  • Se receber uma indicação de erro sobre um certificado não confiável, isso significa que o seu computador não possui nenhum certificado raiz instalado e portanto não pode descarregar o instalador em modo seguro. Para prosseguir em modo não seguro, passe a opção -no-check-certificate para o wget, desta forma:
  • Deve ter os xdg-utils, wget, xz-utils e python ≥ 2.6 instalados no seu sistema antes de executar o instalador.
  • You can uninstall calibre by running sudo calibre-uninstall. Alternately, simply deleting the installation folder will remove 99% of installed files.
  • É necessário ter o GLIBC 2.18 ou mais recente e libstdc++.so.6.0.21 (de gcc 5.4.0) ou mais recente para executar o Calibre
  • If you get an error Could not load the Qt platform plugin xcb you are missing some needed X11-XCB libraries, such as libxcb-xinerama0, for details see here.
  • You can change the folder calibre is installed into from the default (/opt) like this: Change /opt above to whatever folder you want calibre automatically installed to.
  • You can also do an "isolated" install that only touches files inside the installation folder and does not need to be run as root, like this:

Reverter para uma versão anterior

Pode instalar uma versão anterior do Calibre, assim: Change 4.23.0 above to whatever version you want installed.

Instalação binária manual

Se deseja reverter para uma versão anterior do Calibre ou descarregar uma atualização do Calibre manualmente, descarregue uma Tarball dessa versão daqui (escolha a versão 32-bit ou 64-bit, conforme adequado). Imaginando que queria o Calibre em /opt/calibre, execute o seguinte comando, alterando o caminho para o calibre-tarball.txz abaixo, conforme adequado:


Instalação da fonte

AVISO: o Calibre é um software altamente complexo com muitas dependências exigentes. Se deseja instalar a partir do código fonte, você está por conta própria. Por favor, não abra registo de anomalias esperando qualquer forma de suporte. Você foi avisado!

Se ainda está determinado a instalar a partir do código fonte, continue a ler:

  1. Make sure your system has Python 3 installed.
  2. Instale as diferentes dependências listadas abaixo
  3. Execute os seguintes comandos num terminal:


Dependências

A lista atualizada de dependências que são empacotadas juntamente com os binários oficiais do Calibre, pode ser vista em sources.json. Embora o Calibre possa funcionar com outras versões das dependências listadas, tal não é testado/suportado. Além dessas dependências, são necessários vários recursos de compilação, como pkg-config, um compilador C/C++, etc.

Escolha o idioma pretendido